﻿@model eCommerce.BackOffice.ViewModels.ExcelReportsViewModel
@using eCommerce.Services.Model.Enums

@{
    ViewBag.Title = "Exportar a Excel";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}
<style>
    #loadingDiv {
        position: fixed;
        top: 0px;
        right: 0px;
        width: 100%;
        height: 100%;
        background-color: #666;
        background-image: url('/Content/assets/images/AjaxLoader.gif');
        background-repeat: no-repeat;
        background-position: center;
        z-index: 10000000;
        opacity: 0.4;
        filter: alpha(opacity=40); /* For IE8 and earlier */
        display: none;
    }
</style>


<form id="frmReports" method="post" action="/Reports/GenerateReport">

    <div class="page-content padding-30 container-fluid">
        <div class="row">
            <div class="form-group col-md-4 col-xs-12">
                <div class="input-group">
                    <label class="control-label">Elija el reporte a generar</label>
                    <select class="form-control" id="ReportType" name="ReportType" data-plugin="select2" style="display:none;">
                        <option value="@((int)ExcelReportEnum.Sales)">Ventas</option>
                        @*<option value="@((int)ExcelReportEnum.Charges)">Cobranzas</option>
                        <option value="@((int)ExcelReportEnum.Exchanges)">Cambios</option>
                        <option value="@((int)ExcelReportEnum.Refunds)">Devoluciones</option>*@
                    </select>
                </div>
            </div>
            <div class="form-group col-md-2 col-xs-6">
                <label class="control-label">Fecha Desde</label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="icon wb-calendar" aria-hidden="true"></i></span>
                    <input type="text" class="form-control DateInput" id="fromDate" name="fromDate" placeholder="Desde" value="@Model.FromDate" />
                </div>
            </div>
            <div class="form-group col-md-2 col-xs-6">
                <label class="control-label">Fecha Hasta</label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="icon wb-calendar" aria-hidden="true"></i></span>
                    <input type="text" class="form-control DateInput" id="toDate" name="toDate" placeholder="Hasta" value="@Model.ToDate" />
                </div>
            </div>
            <div class="form-group col-md-2 col-xs-12">
                <label class="control-label">&nbsp;</label>
                <div class="input-group col-xs-12">
                    <button type="button" class="btn btn-outline btn-primary " onclick="getReports()" style="width:100%;">GENERAR</button>
                </div>
            </div>

        </div>
    </div>

</form>

<div id="loadingDiv"></div>

@section scripts{
    
    <script type="text/javascript">
        $(document).ready(function ()
        {
            $('.DateInput').datepicker({
                format: "dd/mm/yyyy",
                language: "es",
                autoclose: true,
                todayHighlight: true
            });
            
        });

        function getReports()
        {
            if(isValid())
            {
                //$("#loadingDiv").show();

                $("#frmReports").submit();

                //$.ajax({
                //    url: "/Reports/GenerateReport",
                //    data: { from: $('#fromDate').val(), to: $('#toDate').val(), reportType: $('#ReportType').val() },
                //    method: "GET",
                //    success: function (result)
                //    {
                //        $("#loadingDiv").hide();

                //        if (result != "")
                //        {

                //        }
                //    },
                //    error: function (request, status, error)
                //    {
                //        $("#loadingDiv").hide();
                //        toastr.warning("Se produjo un error al consultar los datos.");
                //    }
                //});
            }
        }


        function isValid()
        {
            var result = true;

            if ($('#fromDate').val() != null && $('#fromDate').val() != "" && $('#toDate').val() != null && $('#toDate').val() != "" && moment($('#toDate').val(), "DD/MM/YYYY") < moment($('#fromDate').val(), "DD/MM/YYYY")) {
                toastr.warning("Ingrese una fecha desde menor a fecha hasta.");
                result = false;
            }
            
            return result;
        }

    </script>    
}
